﻿@{
    ViewBag.Title = "View All Discharges";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>All Discharge's Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">List of Discharges</h3>

                <div class="box-tools">
                    <div class="input-group input-group-sm" style="width: 150px;">
                        <input type="text" name="table_search" class="form-control pull-right" placeholder="Search">

                        <div class="input-group-btn">
                            <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body table-responsive no-padding">
                <table class="table table-hover">

                    <tr>
                        <th>Balance Charges</th>
                        <th>Test Charges</th>
                        <th>Blood Charges</th>
                        <th>Payment</th>
                        <th>Discharge Date</th>
                        <th>Operation Charges</th>
                        <th>Doctor's Charges</th>
                        <th>Treatment Advice</th>
                        <th>Patient Name</th>
                        <th>Edit</th>
                        <th>Delete</th>
                    </tr>

                    <tbody id="tbl"></tbody>
                </table>
            </div>
            <!-- /.box-body -->
        </div>
    </section>
</div>

<script>
    $(document).ready(function () {
        $.ajax({
            url: '@Url.Action("GetDischargeData", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.message;
                    for (i = 0; i < list.length; i++) {

                        var a = list[i].dateofdischarge.split(')')[0];
                        var b = a.split('(')[1];
                        var c = parseInt(b);
                        var d = new Date(c);
                        var e = d.toLocaleString();
                        var f = d.toLocaleTimeString();
                        var g = d.toLocaleDateString()
                        var h = d.toString();

                        $('#tbl').append(' <tr id=' + list[i].disid + '><td>' + list[i].balancecharges + '</td><td>' + list[i].bloodcharges + '</td><td>' + list[i].testcharges + '</td><td>' + list[i].payment + '</td><td>' + g + '</td><td>' + list[i].operationscharges + '</td><td>' + list[i].doccharges + '</td><td>' + list[i].treatmentadvice + '</td><td>' + list[i].pname + '</td><td><button type="button" class="btn bg-red" onclick=getDelete(' + list[i].disid + ')><i class="fa fa-trash-o"></i></button> </td> </tr> ');
                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>

<script>
    function getUpdate(id) {
        alert(id);
    }

</script>
<script>
    function getDelete(id) {
        debugger;
        $.ajax({
            url: '@Url.Action("DeleteDisData", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ id: id}),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    $('#'+id).remove();
                    swal(data.message, "", "success");

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>